<?
					if (!$game["loc"][$player["loc"]][$speak]["bankir"]) msg("<p>Это не банкир");
					if (!$to) {		// список
						if (count($player["bank"])==0) msg("<p>У вас нет в банке ни одного предмета!");
						$stmp="<p>Предметы:";
						
						$ind=0; $count=0; if(!$start) $start=0;
						foreach(array_keys($player["bank"]) as $i) {
							if ($ind>=$start && $ind<$start+$count_show) {	//FIX: может +1?
							$k=split("\|",$player["bank"][$i]);
							if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&how=frombank&why=$speak&id=$id&to=$i\">".$k."</a>";
							}
							$ind++;
							}
						if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id\">^ </a>";}
						if ($start+$count_show<count($player["bank"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&start=".($start+$count_show)."\">+ (".(count($player["bank"])-$start-$count_show).")</a>";}
						// меню
						msg($stmp,"Забрать из банка");
						}else {	// передаем $to
							if (!isset($player["bank"][$to])) msg("<p>В банке нет этого предмета!");
							$item=split("\|",$player["bank"][$to]);
							// проверим кол-во
							if ($item[1]>1 && !$num) 
							{		
								// запросим кол-во
								$stmp="<form action=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&to=$to\" method=\"post\">Укажите количество:\n<br/><input name=\"num\" value=\"".$item[1]."\" format=\"6n\" class=\"inup\"/>\n<br/><input type=\"submit\" value=\"Забрать\" class=\"btn\"></form>\n";
								msg($stmp);
							}
							$count = (int)$num;
							if (!$count || $count<1) $count=1;
							if ($count>$item[1]) $count=$item[1];
							// удаляем из банка
							$item[1]-=$count;
							if ($item[1]<=0) unset($player["bank"][$to]); else $player["bank"][$to]=implode("|",$item);
							// добавляем игроку в items
							if (isset($player["items"][$to])) $itemp=split("\|",$player["items"][$to]); else {$itemp=$item; $itemp[1]=0;}
							$itemp[1]+=$count;
							$player["items"][$to]=implode("|",$itemp);
							msg("Вы забрали из банка ".$count." ".$item[0]."<br/><a href=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id\">[забрать еще]</a>");
							}
							?>